QueryL3Network
QueryL3Network
/zstack/v1/l3-networks/zstack/v1/l3-networks/{uuid}Operation ID
QueryL3NetworkSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Query Parameters
qStringQuery conditions.
Responses
200 OKOn success, this API returns the following response structure.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoriesListRequiredSee inventories.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
typeStringRequiredThe L3 network type.
zoneUuidStringRequiredThe zone UUID.
l2NetworkUuidStringRequiredThe L2 network UUID.
stateStringRequiredThe state of the L3 network.
dnsDomainStringRequiredThe DNS domain.
systemBooleanRequiredWhether the L3 network can be applied to appliance VM instances.
categoryStringRequiredThe network type, which must be used with the system tags. If system is set to true, this parameter can be set to Public or Private.
ipVersionIntegerRequiredThe IP version.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
dnsListRequiredThe DNS server.
ipRangesListRequiredSee ipRanges.
uuidStringRequiredThe resource UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
startIpStringRequiredThe start IP.
endIpStringRequiredThe end IP.
netmaskStringRequiredThe netmask.
prefixLenStringRequiredThe prefix length.
gatewayStringRequiredThe gateway IP address.
networkCidrStringRequiredThe network cidr.
ipVersionIntegerRequiredThe IP version.
addressModeStringRequiredThe allocation mode of the IPv6 address.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
networkServicesListRequiredSee networkServices.
l3NetworkUuidStringRequiredThe L3 network UUID.
networkServiceProviderUuidStringRequiredThe network service provider UUID.
networkServiceTypeStringRequiredThe network service type.
hostRouteListRequiredSee hostRoute.
idLongRequiredThe resource ID.
l3NetworkUuidStringRequiredThe L3 network UUID.
prefixStringRequiredThe prefix.
nexthopStringRequiredThe next hop.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
